#if defined _wm_play_included
	#endinput
#endif
#define _wm_play_included

// Author
#define AUTHOR "CrAzY MaN"

// Plugins Tag
#define wmPrefix "XP_System"

// Max players defined
#define MAX_PLAYERS 32

// Menu Line
#define xLineMenu "------------------------------------"

// Menu Create
const KEYSMENU = MENU_KEY_1|MENU_KEY_2|MENU_KEY_3|MENU_KEY_4|MENU_KEY_5|MENU_KEY_6|MENU_KEY_7|MENU_KEY_8|MENU_KEY_9|MENU_KEY_0

/*------------------------------------------------------------------------------------------
OFFESETS
--------------------------------------------------------------------------------------------*/
#define OFFSET_CS_TEAMS				114
#define OFFSET_LINUX 				5

enum
{
	FM_CS_TEAM_UNASSIGNED = 0,
	FM_CS_TEAM_T,
	FM_CS_TEAM_CT,
	FM_CS_TEAM_SPECTATOR
}

/*------------------------------------------------------------------------------------------
CHAT COLOR
--------------------------------------------------------------------------------------------*/
stock client_print_color(const id, const input[], any:...)
{
	new count = 1, players[32]
	static msg[191]
	vformat(msg, 190, input, 3)
	
	replace_all(msg, 190, "!g", "^4")
	replace_all(msg, 190, "!y", "^1")
	replace_all(msg, 190, "!t", "^3")
	replace_all(msg, 190, "!t2", "^0")
	
	if (id) players[0] = id; else get_players(players, count, "ch")

	for (new i = 0; i < count; i++)
	{
		if (is_user_connected(players[i]))
		{
			message_begin(MSG_ONE_UNRELIABLE, get_user_msgid("SayText"), _, players[i])
			write_byte(players[i])
			write_string(msg)
			message_end()
		}
	}
}

/*------------------------------------------------------------------------------------------
Register commands for Say, for Time and Say normal
--------------------------------------------------------------------------------------------*/
stock register_say(szSay[], szFunction[])
{
	new szTemp[64]
	formatex(szTemp, 63 , "say /%s", szSay)
	register_clcmd(szTemp, szFunction)
	
	formatex(szTemp, 63 , "say .%s", szSay)
	register_clcmd(szTemp, szFunction)
	
	formatex( szTemp, 63 , "say_team /%s", szSay)
	register_clcmd(szTemp, szFunction )
	
	formatex( szTemp, 63 , "say_team .%s", szSay)
	register_clcmd(szTemp, szFunction)
}

/*------------------------------------------------------------------------------------------
Precache models automatically
--------------------------------------------------------------------------------------------*/
stock precache_player_model(const modelname[]) 
{
	static longname[128] 
	formatex(longname, charsmax(longname), "models/player/%s/%s.mdl", modelname, modelname)  	
	precache_model(longname) 
	
	copy(longname[strlen(longname)-4], charsmax(longname) - (strlen(longname)-4), "T.mdl") 
	if (file_exists(longname)) precache_model(longname) 
}

/*------------------------------------------------------------------------------------------
GET USER TEAM (FIX)
--------------------------------------------------------------------------------------------*/
stock fm_cs_get_user_team(id)
	return get_pdata_int(id, OFFSET_CS_TEAMS, OFFSET_LINUX)
/* AMXX-Studio Notes - DO NOT MODIFY BELOW HERE
*{\\ rtf1\\ ansi\\ deff0{\\ fonttbl{\\ f0\\ fnil Tahoma;}}\n\\ viewkind4\\ uc1\\ pard\\ lang1046\\ f0\\ fs16 \n\\ par }
*/
